ngram_class_s::ngram_hash_s Struct Reference

Custom hash table for additional words. More...

`#include <ngram_model_internal.h>`

## Data Fields

int32 | wid
| Word ID of this bucket.
int32 | prob1
| Probability for this word.
int32 | next
| Index of next bucket (or -1 for no collision)

## Detailed Description

Custom hash table for additional words.

Definition at line 91 of file ngram_model_internal.h.

## Field Documentation

## next

int32 ngram_class_s::ngram_hash_s::next

Index of next bucket (or -1 for no collision)

Definition at line 94 of file ngram_model_internal.h.

## prob1

int32 ngram_class_s::ngram_hash_s::prob1

Probability for this word.

Definition at line 93 of file ngram_model_internal.h.

Referenced by ngram_model_add_class_word().

## wid

int32 ngram_class_s::ngram_hash_s::wid

Word ID of this bucket.

Definition at line 92 of file ngram_model_internal.h.

Referenced by ngram_model_add_class_word(), and ngram_model_free().

The documentation for this struct was generated from the following file:

- src/libsphinxbase/lm/ngram_model_internal.h